petsc-3.7.1 2016-05-15
Report Typos and Errors

# VecNestGetSubVec

Returns a single, sub-vector from a nest vector.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecNestGetSubVec(Vec X,PetscInt idxm,Vec *sx)

Not collective Many br

### Input Parameters

. X - nest vector Many br. idxm - index of the vector within the nest Many br

### Output Parameter

. sx - vector at index idxm within the nest Many br

### Notes

Many br

.seealso: VecNestGetSize(), VecNestGetSubVecs() Many br

Level:developer
Location:src/vec/vec/impls/nest/vecnest.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages